extends ../_docs-template

block vars
  - var title = 'Icons | Framework7 Documentation';

block docs-index

block content

  .docs-nav
    include ../_docs-menu
  .docs-content
    .motion-docs-page-title
      h1 Icons
      script(src="/js/motion/icons.js")
      f7-motion-icons(motion)

    p By default Framework7 contains pretty limited set of icons used internally, such are `back`, `forward`, `prev` and `next` icons:
    :code(lang="html")
            <i class="icon icon-back"></i>
            <i class="icon icon-forward"></i>
            <i class="icon icon-prev"></i>
            <i class="icon icon-next"></i>
    p These few icons help to keep consistency in main nav elements between iOS and Material themes.
    h2 Framework7 Icons Font
    p In your app, of course, you may need much more icons to represent your content. For this case we have designed <a href="https://github.com/framework7io/framework7-icons" target="_blank"><b>Framework7 Icons</b></a> font to be used with <b>iOS theme</b> of Framework7. By default it is not included in Framework7 package and latest version of the font can be downloaded at the <a href="https://github.com/framework7io/framework7-icons" target="_blank"><b>Framework7 Icons</b></a> repository.
    .important-note
      p For MD theme we highly recommend to use greatly designed <a href="https://material.io/icons/" target="_blank"><b>Material Icons</b></a> font.
    h3 Install font
    ol
      li Download and extract the font pack from the <a href="https://github.com/framework7io/framework7-icons" target="_blank"><b>Framework7 Icons</b></a> repository
      li Copy the `framework7-icons.css` to your project
      li Copy the `fonts` folder to your project
      li Ensure the font urls within `framework7-icons.css` properly reference the `fonts` path within your project
      li Include a reference to the `framework7-icons.css` file where you reference app stylesheets:
        :code(lang="html")
              <link rel="stylesheet" href="path/to/framework7-icons.css">
    h3 Cheatsheet
    p You can use the following <a href="/icons/" target="_blank"><b>cheatsheet</b></a> to easily find the icon you want to use.
    h3 HTML Example
    p It’s easy to incorporate icons into your web page. Here’s a small example:
    :code(lang="html")
          <i class="f7-icons">house</i>
    p This example uses a typographic feature called <a href="http://alistapart.com/article/the-era-of-symbol-fonts" target="_blank">ligatures</a>, which allows rendering of an icon glyph simply by using its textual name. The replacement is done automatically by the web browser and provides more readable code than the equivalent numeric character reference.
    h3 Styling Icons
    h4 Sizing
    p Framework7 Icons look best at 28px, but if an icon needs to be displayed in an alternative size, just use CSS font-size rule:
    :code(lang="css")
          .size-22 { font-size: 22px }
          .size-25 { font-size: 25px }
          .size-29 { font-size: 29px }
          .size-50 { font-size: 50px }

    :code(lang="html")
          <i class="f7-icons size-22">house</i>
          <i class="f7-icons size-25">house</i>
          <i class="f7-icons size-29">house</i>
          <i class="f7-icons size-50">house</i>
    h4 Coloring
    p Using the icon font allows for easy styling of an icon in any <a href="color-themes.html">default color</a> or custom color.
    :code(lang="css")
          .color-custom { color: #ff0000 }

    :code(lang="html")
          <i class="icon f7-icons color-red">house</i>
          <i class="icon f7-icons color-yellow">house</i>
          <i class="icon f7-icons color-custom">house</i>
    h2 Using Both F7 Icons & Material Icons
    p To keep best practise its better to use F7 Icons font for iOS theme and Material Icons font for MD theme. But what to do in case you develop your app for both MD and iOS themes?
    p In this case we may use router's `{theme}-only` and `if-{theme}` and `if-not-{theme}` helper classes to have F7 icon in iOS theme and Material icons in MD theme:
    :code(lang="html")
      <i class="f7-icons if-not-md">house</i>
      <i class="material-icons md-only">house</i>
    p In this case we will have only `<i class="f7-icons if-not-md">house&lt;/i&gt;` when app running with iOS theme and only `<i class="material-icons md-only">house&lt;/i&gt;` when app is in MD theme.

    +cssVars('icon')
